# -*- coding: utf-8 -*-

# Параметры для поиска и удаления файлов
# Представлен в виде слвоаря, чтобы можно было указывать название, путь и тип файлов для каждого типа поиска
# В type_files указываем тип файла с наибольшим размером, именно он будет удален
# Парметр delete_by_name нужен, если требуется удалить не только искомый файл,
# но все сопутствующие файлы с таким же именем, но другим расширением
FILES_DATA = [
    {
        'name': 'nexus',
        'path': '/tmp',
        'type_files': [],
        'delete_by_name': False
     },
    {
        'name': 'nginx',
        'path': '/tmp',
        'type_files': ['tar'],
        'delete_by_name': True
    }
]

# Исключаем папки в которых не надо сканировать
# Указывать надо именно название папки без пути
EXCLUDE_FOLDERS = [

    ''
]

# Помогает определить папку где хранятся билды
NEXUS_DETECT_FILE = 'maven-metadata.xml'

# Максимально время хранения файлов
STORAGE_DAY = 0
# Минимальное количество билдов. То есть, если в папке нашли 5 или меньше билдов, то ничего не удаляем
STORAGE_VERSIONS = 5
